## org.apache.cassandra.io.util
Interface FileDataInput

All Superinterfaces:
  java.io.Closeable, java.io.DataInput

All Known Implementing Classes:
  BufferedRandomAccessFile, MappedFileDataInput

    public interface FileDataInput

extends java.io.DataInput, java.io.Closeable

Method Summary
`int` `bytesPastMark()`
`long` `getAbsolutePosition()`
`java.lang.String` `getPath()`
`boolean` `isEOF()`
`void` `mark()`
`void` `reset()`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### getPath

    java.lang.String getPath()

### isEOF

    boolean isEOF()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### mark

    void mark()

### reset

    void reset()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesPastMark

    int bytesPastMark()

### getAbsolutePosition

    long getAbsolutePosition()

Copyright © 2010 The Apache Software Foundation